# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit gnome2-utils cmake-utils

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI=${EGIT_REPO_URI:-"git://git.backbone.ws/dev/gschema-test.git"}
	EGIT_HAS_SUBMODULES=true
	inherit git-2
	KEYWORDS=""
else
	#SRC_URI="ftp://ftp.backbone.ws/projects/gschema-test/${P}.tar.bz2"
	SRC_URI="https://git.backbone.ws/dev/gschema-test/archive-tarball/v${PVR}.tgz -> gschema-test-${PVR}.tar.gz"
	KEYWORDS="-* ~x86 ~amd64"
fi

DESCRIPTION="Testing CMake+GSettings bundle.."

HOMEPAGE="https://redmine.backbone.ws/projects/plugin"

SLOT="0"

LICENSE="LGPL-3"

IUSE=""

DEPEND=">=dev-lang/vala-0.26
	>=dev-libs/glib-2.40
	>=dev-libs/libgee-0.16"

RDEPEND="${DEPEND}"

pkg_preinst() {
	gnome2_schemas_savelist
}

pkg_postinst() {
	gnome2_schemas_update
}

pkg_posrm() {
	gnome2_schemas_update
}
